Skip to main content
GET
/
schedules
/
default
Get default availability schedule
curl --request GET \
  --url https://api.zeeg.me/v2/schedules/default \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "status": 200,
  "resource": {
    "uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
    "uuid": "Q1ZYo391da",
    "email": "lena.meier@horizondigital.de",
    "title": "Working Hours",
    "isDefault": true,
    "timezone": "Europe/Berlin",
    "weekly_hours": [
      {
        "day": "Mon",
        "timesets": [
          [
            "09:00",
            "17:00"
          ]
        ]
      },
      {
        "day": "Tue",
        "timesets": [
          [
            "09:00",
            "17:00"
          ]
        ]
      },
      {
        "day": "Wed",
        "timesets": [
          [
            "09:00",
            "17:00"
          ]
        ]
      },
      {
        "day": "Thu",
        "timesets": [
          [
            "09:00",
            "17:00"
          ]
        ]
      },
      {
        "day": "Fri",
        "timesets": [
          [
            "09:00",
            "17:00"
          ]
        ]
      },
      {
        "day": "Sat",
        "timesets": []
      },
      {
        "day": "Sun",
        "timesets": []
      }
    ],
    "special_hours": [
      {
        "date": "2026-04-21",
        "timesets": [
          [
            "10:00",
            "14:00"
          ]
        ]
      }
    ],
    "schedulingPages": [
      {
        "uuid": "80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
        "title": "30-Minute Discovery Call",
        "slug": "30min-discovery-call",
        "schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call"
      }
    ],
    "currentTime": "2026-04-10T08:30:00+02:00",
    "createdAt": "2026-04-01T10:00:00.000000Z",
    "updatedAt": "2026-04-05T14:30:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

email
string<email>
required

Email address of the user whose default schedule to retrieve.

Example:

"lena.meier@horizondigital.de"

includeSchedulingPages
boolean
default:false

When true, includes the list of scheduling pages associated with the schedule.

Example:

true

Response

OK

resource
object
required
success
boolean
Example:

true

status
integer
Example:

200

Last modified on April 4, 2026